## pdl 1.9906-1

=== debian/changelog ===
pdl (1.9906-1) frozen unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  1 May 1998 15:29:16 -0700

pdl (1.9905-1) unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 24 Apr 1998 16:17:42 -0700

pdl (1.9904-1) unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 13 Apr 1998 13:45:34 -0700

pdl (1.9902-2) unstable; urgency=low

  * suggests mesag2 not mesa2

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 13 Apr 1998 13:45:34 -0700

pdl (1.9902-1) unstable; urgency=low

  * Upstream minor revision.
  * Note doc lookup was still broken in 1.9901
  * Changed architecture from i386 to any
  * Fixed doc lookup, I hope

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 23 Mar 1998 15:31:34 -0700

pdl (1.9901-2) unstable; urgency=low

  * Fixed online doc lookup.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 14 Mar 1998 18:21:28 -0700

pdl (1.9901-1) unstable; urgency=low

  * New upstream minor version including ...
  * New Free license.
  * Bug fixes, doc improvements

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon,  9 Mar 1998 12:53:32 -0700

pdl (1.9900-1) non-free; urgency=low

  * New upstream release

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 27 Feb 1998 16:42:27 -0700

pdl (1.95.07-3) non-free; urgency=low

  * removed perllocal.pod; only for local build

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 23 Jan 1998 22:04:49 -0700

pdl (1.95.07-2) non-free; urgency=low

  * existed a debstd bug; upgraded debstd and repackaged.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 23 Jan 1998 21:09:05 -0700

pdl (1.95.07-1) non-free; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 16 Jan 1998 19:32:22 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:
