=== debian/control ===
Source: pdl
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: pdl
Architecture: any
Depends:  perl, ${shlibs:Depends}
Suggests: pgperl, mesag2
Description: The perl data language. Perl extensions for numerics.
 a modular extension to perl providing funcionality
 similar to that found in Matlab or IDL.   Plain Vanilla Perl does not
 implement arrays as simple blocks of a simple data type.  It does
 surprisingly well at many numerical tasks, but, for more demanding tasks, it
 is not sufficient.  Pdl provides data types and methods for multidimensional 
 arrays.  New C code has been written, and interfaces to existing C and FORTRAN
 libraries have been added.  A few  large plotting packges have been interfaced.
 Of course, the large collection of perl modules for networking, graphics, and
 databases, etc., are also accessible.
