=== debian/rules ===
#!/usr/bin/make -f
# PDL debian build rules
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
 
package=pdl

ddir=`pwd`/debian/tmp

build:
	$(checkdir)
	patch perldl.conf < debian/perldl.conf.patch
	cp debian/Makefile.PL.new Makefile.PL
	perl Makefile.PL INSTALLDIRS=perl PREFIX=$(ddir)/usr INSTALLMAN1DIR=$(ddir)/usr/man/man1 INSTALLMAN3DIR=$(ddir)/usr/man/man3
	make
#	make doctest   dont make the docs do it in postinst
	touch build

clean:
	$(checkdir)
#   Restore original makefile.
	if [ ! -e debian/perldl.conf.orig ]; then cp  perldl.conf  debian/perldl.conf.orig ; fi
	cp -f debian/perldl.conf.orig perldl.conf
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	make pure_install
# these scripts are not part of the distribution, but we need them for
# postinst
	cp Doc/scantree.pl debian/tmp/usr/lib/perl5/PDL/Doc
	cp Doc/mkhtmldoc.pl debian/tmp/usr/lib/perl5/PDL/Doc
	rm -f debian/tmp/usr/lib/perl5/i386-linux/5.*/perllocal.pod
#	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd Changes README TODO 
	dpkg-shlibdeps `ls blib/arch/auto/PDL/*/*.so`
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
