## pdl 1.99988-5

=== debian/changelog ===
pdl (1.99988-5) unstable frozen; urgency=low

  *  html docs were put in wrong place.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue,  8 Dec 1998 03:39:42 -0700

pdl (1.99988-4) unstable frozen; urgency=low

  * Some package (mesa?) change and broke the build
    Add X11 include path by hand.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  6 Nov 1998 22:03:17 -0700

pdl (1.99988-3) unstable; urgency=low

  * link against mesag3.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun, 25 Oct 1998 01:32:34 -0700

pdl (1.99988-2) unstable; urgency=low

  * Make rules less i386-centric

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue,  6 Oct 1998 11:44:39 -0700
	

pdl (1.99988-1) unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  2 Oct 1998 00:00:03 -0700

pdl (1.99985-1) unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 31 Jul 1998 14:24:09 -0700
	
