=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,13 @@
 package=pdl
 
 ddir=`pwd`/debian/tmp
+arch = $(shell dpkg --print-architecture)
+perlv = 5.004
 
 build:
 	$(checkdir)
-	patch perldl.conf < debian/perldl.conf.patch
-	cp debian/Makefile.PL.new Makefile.PL
+#	patch perldl.conf < debian/perldl.conf.patch
+#	cp debian/Makefile.PL.new Makefile.PL
 	perl Makefile.PL INSTALLDIRS=perl PREFIX=$(ddir)/usr INSTALLMAN1DIR=$(ddir)/usr/man/man1 INSTALLMAN3DIR=$(ddir)/usr/man/man3
 	make
 #	make doctest   dont make the docs do it in postinst
@@ -19,10 +21,11 @@
 clean:
 	$(checkdir)
 #   Restore original makefile.
-	if [ ! -e debian/perldl.conf.orig ]; then cp  perldl.conf  debian/perldl.conf.orig ; fi
-	cp -f debian/perldl.conf.orig perldl.conf
+#	if [ ! -e debian/perldl.conf.orig ]; then cp  perldl.conf  debian/perldl.conf.orig ; fi
+#	cp -f debian/perldl.conf.orig perldl.conf
 	-rm -f build
 	-make clean
+	-rm -rf blib
 	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* core debian/substvars
 
@@ -38,9 +41,11 @@
 	make pure_install
 # these scripts are not part of the distribution, but we need them for
 # postinst
+#	cp Doc/scantree.pl debian/tmp/usr/lib/perl5/$(arch)-linux/$(perlv)/PDL/Doc
+#	cp Doc/mkhtmldoc.pl debian/tmp/usr/lib/perl5/$(arch)-linux/$(perlv)/PDL/Doc
 	cp Doc/scantree.pl debian/tmp/usr/lib/perl5/PDL/Doc
 	cp Doc/mkhtmldoc.pl debian/tmp/usr/lib/perl5/PDL/Doc
-	rm -f debian/tmp/usr/lib/perl5/i386-linux/5.*/perllocal.pod
+	rm -f debian/tmp/usr/lib/perl5/$(arch)-linux/5.*/perllocal.pod
 #	make install DESTDIR=`pwd`/debian/tmp
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
