## pdl 2.4.11

=== debian/changelog ===
pdl (1:2.4.11-4ubuntu2) raring; urgency=low

  * When building with GCC 4.8, optimize with -Og.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2013 19:42:21 +0100

pdl (1:2.4.11-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/perldl.conf: Enabled bad-val as NAN

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 09 Jun 2012 15:36:15 +0200

pdl (1:2.4.11-4) unstable; urgency=low

  * fix pdl versioned dep in dh_pdl

 -- Henning Glawe <glaweh@debian.org>  Wed, 30 May 2012 16:06:03 +0200

pdl (1:2.4.11-3) unstable; urgency=low

  * fix the building of pdl wrapper
  * set -fPIC when compiling fortran extensions

 -- Henning Glawe <glaweh@debian.org>  Mon, 28 May 2012 20:44:46 +0200

pdl (1:2.4.11-2) unstable; urgency=low

  * fix calls to croak in Lib/GIS/Proj/Proj.pd and IO/GD/GD.pd (croak was
    not called with a format string literal, causing 
    -Werror=format-security to abort the compilation)

 -- Henning Glawe <glaweh@debian.org>  Sun, 27 May 2012 16:01:22 +0200

pdl (1:2.4.11-1) unstable; urgency=low

  * new upstream release
  * acknowledge NMU (closes: #670693), thanks to Jari Aalto
  * switch to 3.0 quilt packaging format, the +dfsg repackaging
    of upstream source is not needed anymore
  * provide pdlapi-$version virtual package to keep binary extension
    modules from breaking silently
  * introduce dh_pdl providing ${pdl:Depends} for extension packages
  * use dpkg-buildflags in debian/rules to determine flags
  * link with --as-needed to avoid spurious dependencies
  * switch to dh_auto_configure to call EU::MM with the proper flags
  * read LDFLAGS and FFLAGS in f77conf.pl from env
  * depend on newer dpkg-dev due to buildflags options

 -- Henning Glawe <glaweh@debian.org>  Sat, 26 May 2012 10:30:55 +0200

pdl (1:2.4.10+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix duplicate-in-relation-field libastro-fits-header-perl (Lintian).
  * Fix unused-override (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 28 Apr 2012 08:44:59 +0300

pdl (1:2.4.10+dfsg-1ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/perldl.conf: Enabled bad-val as NAN

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 23 May 2012 00:38:11 +0200

pdl (1:2.4.10+dfsg-1) unstable; urgency=low

  * new upstream release
  * sync debian/perldl.conf with perldl.conf

 -- Henning Glawe <glaweh@debian.org>  Sun, 19 Feb 2012 10:42:56 +0100

pdl (1:2.4.7+dfsg-2ubuntu5) precise; urgency=low

  * Rebuild for libplplot11 on armhf

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 20 Feb 2012 08:11:20 +0100

pdl (1:2.4.7+dfsg-2ubuntu4) precise; urgency=low
  
  * Rebuild for libplplot11

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 17 Feb 2012 18:43:10 +0100

pdl (1:2.4.7+dfsg-2ubuntu3) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2011 10:00:10 +0000

pdl (1:2.4.7+dfsg-2ubuntu2) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2011 05:12:13 +0100

pdl (1:2.4.7+dfsg-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change:
    - debian/perldl.conf: Enabled NAN support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 16 Oct 2010 20:00:55 +0530

pdl (1:2.4.7+dfsg-2) unstable; urgency=low

  * remove left-over file 'test.log', which slipped into the 1:2.4.7+dfsg-1
    debian diff
  * include upstream release notes in deb
  * fix Pod of PDL::IO::FastRaw
  * add lintian override: it is OK to have dpatch dependency with an empty
    patch list. Usually I am adding fixes as dpatch patches, and it is useless
    to add/remove the dpatch support in case there are no patches for one
    particular revision.
  * add a lintian override for a long code line in a manpage, which cannot be
    easily broken

 -- Henning Glawe <glaweh@debian.org>  Sun, 22 Aug 2010 21:19:32 +0200

pdl (1:2.4.7+dfsg-1) unstable; urgency=low

  * new upstream version
    - much improved documentation (closes: #132900)
  * build-depend on netpbm (improves testsuite runs)
  * build-depend on proj-bin (alternatively with proj) to have 'proj'
    command available
  * build-depend and suggest libdevel-repl-perl (for new pdl2 shell)
  * update debian standards-version to 3.9.1 (no further changes needed)
  * improve test suite run output in build log

 -- Henning Glawe <glaweh@debian.org>  Thu, 19 Aug 2010 11:40:22 +0200

pdl (1:2.4.6+dfsg-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes: LP: #593254
    - debian/perldl.conf: Enabled NAN support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 13 Jun 2010 12:33:03 +0530

pdl (1:2.4.6+dfsg-2) unstable; urgency=low

  * pgperl is back in debian, name changed to libpgplot-perl; changed the
    pdl recommends to reflect that (closes: #407463)

 -- Henning Glawe <glaweh@debian.org>  Tue, 11 May 2010 07:56:50 +0200

pdl (1:2.4.6+dfsg-1) unstable; urgency=low

  * fix paths in generated HTML docs
  * add dpkg trigger for documentation index and HTML documentation updates
  * add ${misc:Depends} to pdl's Depends (recommended by lintian due to
    debhelper usage)
  * use DESTDIR instead of PREFIX when installing (recommended by lintian,
    as this works only due to a debian-specific MakeMake extension)
  * bump (build-)dependency on libopengl-perl to 0.62
  * update to standards-version 3.8.4
  * build-depend on libhdf4-alt-dev (closes: #540404)
  * modify hdf support build scripts to autodetect the 'alt'-flavour
  * build-depend on libproj-dev (closes: #521822)
  * move Homepage to Homepage control field and improve description 
    (closes: #574372)


