## pdl 2.007

=== debian/changelog ===
pdl (1:2.007-5) unstable; urgency=medium

  * Team upload.
  
  [ Andreas Tille ]
  * Package migrated to Debian Science team Git as Uploader Henning Glawe agreed
  * Add watch file

  [ Sebastiaan Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
  * Add patch to fix FTBFS with GSL 2.x.
    Closes: #805824

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2016 13:47:31 +0100

pdl (1:2.007-4) unstable; urgency=high

  * Fix "problems upgrading from wheezy due to triggers"; print warning
    to STDERR if doc index could not be updated instead of causing
    postinst failure. (Closes: #729220)
    This will apply only in subsequent releases, as the upgrade problem
    is caused by the pdl package in wheezy.
    Cloned bug to perl (#773323), in order to have a 'Breaks: pdl (<<1:2.007)'
    for smooth wheezy->jessie updates.
    Changes to pdl.postinst have been tested by backporting to wheezy's pdl
    version, which solved the wheezy->jessie upgrade issues.

 -- Henning Glawe <glaweh@debian.org>  Wed, 17 Dec 2014 10:29:01 +0100

pdl (1:2.007-3) unstable; urgency=low

  * Acknowledge NMU
  * For the time being, always use 64bit integers in Fortran libs
    slatec and minuit by default, as debian perl packages switched
    to ivsize=8 on all arches, implying a 64bit index type in PDL

 -- Henning Glawe <glaweh@debian.org>  Wed, 24 Sep 2014 20:14:23 +0200

pdl (1:2.007-2.1) unstable; urgency=medium

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    - rename files in debian/ which contain "/usr/lib/perl5" to .in, replace
      "/usr/lib/perl5" with a variable
    - create original files from debian/rules, replacing the variable with
      the current value of $Config{vendorarch}
    (Closes: #752351)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 07:54:19 +0000

pdl (1:2.007-2) unstable; urgency=low

  * successfully built with gcc 4.8 (closes: #701335, #713346)
  * add build log evalution helpers to source package: extract
    test suite output from buildlog, cross-refernce test/subtest
    failures between architectures
  * use shell to join stderr into stdout while running test suite
  * fix Dumper.pm on kfreebsd: 'gnukfreebsd' was assumed as a bsd
    userland, which disabled/broke calls to 'uuencode' and 'uudecode'
  * fix debian/filter-test.pl, which cut the test log too early
    due to a too-unspecific regex
  * prefer F77Conf over ExtUtils::F77 in t/flexraw_fortran.t in order
    to prevent test failures on kfreebsd* and hurd*

 -- Henning Glawe <glaweh@debian.org>  Mon, 11 Nov 2013 13:34:09 +0100

pdl (1:2.007-1) unstable; urgency=low

  * new upstream release
  * upstream now builds with gcc 4.8 and perl 5.18 (closes: #721589)
  * disable PDL::FFTW and PDL::Graphics::PLplot, both are depreciated
    upstream and are available as separate module distributions
  * make successful testsuite run mandatory
  * include /usr/share/perl5/PDL in trigger modify upstream's
    scantree.pl to accept comma-separated directory lists
    (closes: #681937)

 -- Henning Glawe <glaweh@debian.org>  Thu, 07 Nov 2013 09:23:38 +0100
