=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pdl
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Henning Glawe <glaweh@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Henning Glawe <glaweh@debian.org>
+Standards-Version: 3.9.4
 Build-Depends:
  gfortran,
  dpkg-dev (>= 1.16.1~),
@@ -11,10 +11,8 @@
  libncurses-dev,
  perl (>= 5.8.0-3),
  debhelper (>= 9),
- libplplot-dev,
  libinline-perl (>= 0.43),
- libgsl0-dev,
- fftw-dev,
+ libgsl-dev,
  libxext-dev,
  libhdf4-alt-dev | libhdf4g-dev,
  libproj-dev | proj,
@@ -22,13 +20,16 @@
  libgd2-xpm-dev,
  libastro-fits-header-perl,
  sharutils,
- libopengl-perl (>= 0.65),
+ libopengl-perl (>= 0.6702),
  libxi-dev,
  libxmu-dev,
  freeglut3-dev,
  libextutils-f77-perl,
  netpbm,
- libdevel-repl-perl (>=1.003011)
+ libdevel-repl-perl (>=1.003011),
+ libtest-warn-perl
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pdl.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/pdl.git
 Homepage: http://pdl.perl.org/
 
 Package: pdl
@@ -37,7 +38,6 @@
  ${perl:Depends},
  libterm-readkey-perl,
  ${shlibs:Depends},
- libopengl-perl (>=0.62),
  ${misc:Depends}
 Recommends:
  libterm-readline-gnu-perl | libterm-readline-perl-perl
@@ -46,11 +46,15 @@
  netpbm | imagemagick,
  libastro-fits-header-perl,
  libinline-perl,
- libplplot-dev,
  doc-base,
  libextutils-f77-perl,
  proj-bin | proj,
- libdevel-repl-perl (>=1.003011)
+ libdevel-repl-perl (>=1.003011),
+ libopengl-perl (>= 0.6702),
+ libhdf4-0-alt,
+ libgl1-mesa-glx | libgl1,
+ libpdl-fftw-perl,
+ libpdl-graphics-plplot-perl
 Conflicts: r-pdl
 Replaces: r-pdl
 Provides:
