=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 
 unexport DISPLAY
 
-
+WARNING_FLAGS:=-Wall -Wno-unused-variable -Wno-unused-but-set-variable -Wno-unused-function
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	export DEB_CFLAGS_MAINT_APPEND:=-Wall
+	export DEB_CFLAGS_MAINT_APPEND:=$(WARNING_FLAGS)
 else
-	export DEB_CFLAGS_MAINT_APPEND:=-Wall -ffunction-sections
+	export DEB_CFLAGS_MAINT_APPEND:=$(WARNING_FLAGS) -ffunction-sections
 endif
 
 export DEB_LDFLAGS_MAINT_APPEND:=-Wl,--as-needed
@@ -24,16 +24,9 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# broken, when building with GCC-4.8, use -Og.
-gcc := $(shell readlink /usr/bin/gcc)
-ifneq (,$(findstring 4.6, $(gcc)))
-else ifneq (,$(findstring 4.7, $(gcc)))
-else
-  CFLAGS := $(subst -O2,-Og,$(CFLAGS))
-  export CFLAGS
-endif
+subst_pdlapi  = -Vpdlapi:Provides="`perl -Mblib -MPDL::Config::Debian -e 'print \"pdlapi-$$PDL::Config::Debian::pdl_core_version\n\"'`"
 
-subst_pdlapi  = -Vpdlapi:Provides="`perl -Mblib -MPDL::Config::Debian -e 'print \"pdlapi-$$PDL::Config::Debian::pdl_core_version\n\"'`"
+vendorarch := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
 
 configure: configure-stamp
 configure-stamp:
@@ -63,11 +56,8 @@
 test: test-stamp
 test-stamp: build-stamp
 	dh_testdir
-	@echo "BEGIN test normal"
-	-$(MAKE) TEST_VERBOSE=0 LC_ALL=C test | perl debian/filter-test.pl
-	@echo "END test normal"
 	@echo "BEGIN test verbose"
-	-$(MAKE) TEST_VERBOSE=1 LC_ALL=C test | perl debian/filter-test.pl
+	$(MAKE) TEST_VERBOSE=1 LC_ALL=C test
 	@echo "END test verbose"
 	touch test-stamp
 
@@ -81,7 +71,10 @@
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f t/callext.o t/callext.so Graphics/TriD/OpenGL/tmp*.h-out \
-	 	Perldl2/pdl2.pod debian/dh_pdl.1
+	 	Perldl2/pdl2.pod debian/dh_pdl.1 \
+	 	debian/pdl.lintian-overrides debian/pdl.install \
+	 	debian/pdl.links debian/pdl.postinst \
+	 	debian/pdl.triggers
 
 install: build test
 	dh_testdir
@@ -91,11 +84,16 @@
 
 	# Add here commands to install the package into debian/pdl.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/pdl
-	cd debian/pdl/usr/share/man/man3 ; mv PDL\:\:Reduce.3pm old.3pm ; sed -f $(CURDIR)/debian/fix_man_name.sed old.3pm > PDL\:\:Reduce.3pm ; rm old.3pm
-	cd debian/pdl/usr/share/man/man3 ; mv PDL\:\:Func.3pm old.3pm ; sed -f $(CURDIR)/debian/fix_man_encoding.sed old.3pm > PDL\:\:Func.3pm ; rm old.3pm
-	cd debian/pdl/usr/share/man/man3 ; mv PDL\:\:Complex.3pm old.3pm ; sed -f $(CURDIR)/debian/fix_man_encoding.sed old.3pm > PDL\:\:Complex.3pm ; rm old.3pm
 	cd debian/pdl; while read f ; do rm -f "$$f" ; done < ../pdl.remove
+	# create placeholder in usr/share/perl5/PDL
+	echo > $(CURDIR)/debian/pdl/usr/share/perl5/PDL/.placeholder
 
+	# set perl vendorarch directory dynamically
+	for f in debian/pdl.lintian-overrides debian/pdl.install \
+	 	debian/pdl.links debian/pdl.postinst \
+	 	debian/pdl.triggers ; do \
+	 	sed -e 's,@vendorarch@,$(vendorarch),g' $$f.in > $$f ; \
+	done
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -128,7 +126,7 @@
 #	dh_python
 #	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps -X OpenGLQ.so
 	dh_gencontrol -- $(subst_pdlapi)
 	dh_md5sums
 	dh_builddeb
