=== debian/watch ===
version=3
http://search.cpan.org/dist/PDL/   .*/PDL-?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
