## pdl 2.016

=== debian/changelog ===
pdl (1:2.016-4) unstable; urgency=medium

  * Team upload.
  * Apply patch by Reiner Herrmann to update reproducible-build.patch.
    (closes: #829365)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jul 2016 19:30:45 +0200

pdl (1:2.016-3) unstable; urgency=medium

  * Team upload.
  * Add patches by Reiner Herrmann for reproducible builds.
    (closes: #829323, #829365)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2016 00:37:46 +0200

pdl (1:2.016-2) unstable; urgency=medium

  * Team upload.
  * Add libfile-map-perl & libmodule-compile-perl to (build) dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Jul 2016 00:42:57 +0200

pdl (1:2.016-1) unstable; urgency=medium

  * Team upload.
  * Add patch to use absolute paths for symlinked documentation.
  * Add patch to fix additional spelling errors.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jun 2016 12:13:03 +0200

pdl (1:2.016-1~exp3) experimental; urgency=medium

  * Team upload.
  * Disable generation of documentation as part of the build.
    The documentation is generated on installation via postinst.
  * Add patch to fix manpage-has-bad-whatis-entry lintian issue.
  * Add patch to use LDFLAGS for pdl executable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Jun 2016 11:08:55 +0200

pdl (1:2.016-1~exp2) experimental; urgency=medium

  * Team upload.
  * Strip RPATH from Minuit.so & Slatec.so.
  * Add lintian overrides for hardening-no-fortify-functions issues.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Jun 2016 15:36:07 +0200

pdl (1:2.016-1~exp1) experimental; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version (2.015)
    (closes: #811247)
  * cme fix dpkg-control
  * DEP5

  [ Bas Couwenberg ]
  * Update watch file to use metacpan.org.
  * Add gbp.conf to use pristine-tar by default.
  * Change Maintainer from Debian Science Team to Debian Perl Group.
  * Update Vcs-* URLs for pkg-perl git repository.
  * Imported new upstream release (2.016).
  * Update copyright file, changes:
    - Add Upstream-Contact field
    - Update Source URL to use metacpan.org
    - Fix license for "same terms as Perl itself": Artistic or GPL-1+
    - Add copyright holders
    - Add license & copyright for differently licensed files
  * Reorder (build) dependencies.
  * Drop Release_Notes from pdl.docs, removed upstream.
  * Separate lintian overrides with newlines.
  * Align paths in install files.
  * Add upstream metadata.
  * Add libdevel-checklib-perl to build dependencies.
  * Use minimal dh rules.
  * Update perldl.conf for PDL 2.016.
  * Add libinline-c-perl to (build) dependencies.
  * Add patch to fix doc_vendor_install target by supporting DESTDIR.
  * Regenerate control files from templates in separate target.
  * Disable parallel dh_auto_install, race condition between make targets.
  * Override dh_install to use --list-missing.
  * Drop libhdf4-0-alt from Suggests, already included in ${shlibs:Depends}.
  * Add patch to fix spelling errors.
  * Add patch to use CPPFLAGS for pdl executable.
  * Add libtest-{deep,exception}-perl to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Jun 2016 12:08:56 +0200
