## pdl 2.017

=== debian/changelog ===
pdl (1:2.017-1ubuntu2) zesty; urgency=medium

  * Rebuild against new libproj12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Nov 2016 12:35:56 +0100

pdl (1:2.017-1ubuntu1) zesty; urgency=medium

  * debian/patches/transform-align: Align memory to fix build failure on
    armhf-on-arm64.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 31 Oct 2016 11:23:46 +0000

pdl (1:2.017-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Oct 2016 08:39:13 +0200

pdl (1:2.017-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches applied upstream. Refresh remaining patches.
  * Update copyright format URL to use HTTPS.
  * Add patch to fix spelling errors.
  * Add patch to fix pod2man errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 09 Oct 2016 13:28:32 +0200
