## pdl 2.018

=== debian/changelog ===
pdl (1:2.018-1ubuntu4) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:24:14 +0000

pdl (1:2.018-1ubuntu3) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 14:16:43 -0400

pdl (1:2.018-1ubuntu2) artful; urgency=medium

  * Rebuild against perl 5.26.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2017 08:36:49 +0200

pdl (1:2.018-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/transform-align: Align memory to fix build failure on
      armhf-on-arm64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jun 2017 23:22:45 +0200

pdl (1:2.018-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 15:16:26 +0200

pdl (1:2.018-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches applied upstream. Refresh remaining patches.
  * Add lintian override for spelling-error-in-manpage false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 May 2017 11:28:11 +0200
