## pdl 2.019

=== debian/changelog ===
pdl (1:2.019-5) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Install PDL::IO::Browser: Set WITH_IO_BROWSER to 1 in
    debian/perldl.conf.
    Thanks to Fedor Zuev for the bug report. (Closes: #911866)
  * debian/rules: Replace `dh_install --list-missing' with
    `dh_missing --list-missing'.
  * debian/copyright: use HTTPS for perl.org URL and drop POD fragments.
  * Enable use.t autopkgtest by providing the module name in
    debian/tests/pkg-perl/use-name.

  [ Bas Couwenberg ]
  * Require at least debhelper 10.3 for dh_missing.
  * Bump debhelper compatibility to 10, remove explicit --parallel option.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Oct 2018 07:28:23 +0200

pdl (1:2.019-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.1, no changes.
  * Rebuild with PROJ 5.2.0 which adds the 'eqearth' projection alias.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Sep 2018 08:41:07 +0200

pdl (1:2.019-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Add transform-align.patch by Iain Lane to fix build failure on
    armhf-on-arm64.
  * Add sensible-utils to Depends for sensible-pager.
  * Add patch to fix wrong-path-for-interpreter lintian issue.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Jul 2018 07:36:52 +0200

pdl (1:2.019-2) unstable; urgency=medium

  * Team upload.
  * Change fits-tilde-expansion.patch to incorporate upstream feedback.
  * Rebuild with PROJ 5.1.0 which adds the 'webmerc' projection alias.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Jun 2018 10:42:10 +0200

pdl (1:2.019-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * New upstream release.
  * Add patch to fix spelling errors.
  * Add Testsuite: autopkgtest-pkg-perl to control file.
  * Strip trailing whitespace from changelog, control & rules files.
  * Use '-noawait' trigger variant.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Add smoke-files for files required by tests.
  * Update upstream metadata for move to GitHub.
  * Refresh patches.
  * Add patch to fix tilde expansion tests with non-existent $HOME.
  * Update spelling-errors.patch to fix additional typo.
  * Add lintian override for shared-lib-without-dependency-information.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 May 2018 07:39:55 +0200

pdl (1:2.018-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.1, no changes.

  [ gregor herrmann ]
  * Change build dependency from libgd2-xpm-dev to libgd-dev.
    The former is gone, and also not provided anymore by the latter.
    Thanks to Adrian Bunk for the bug report. (Closes: #880777)

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Nov 2017 21:22:01 +0100
