=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Henning Glawe <glaweh@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10.3),
                chrpath,
                freeglut3-dev,
                gfortran,
@@ -12,7 +12,7 @@
                libdevel-repl-perl,
                libextutils-f77-perl,
                libfile-map-perl,
-               libgd2-xpm-dev,
+               libgd-dev,
                libgsl-dev,
                libhdf4-alt-dev,
                libinline-perl,
@@ -32,14 +32,16 @@
                proj-bin,
                sharutils,
                x11proto-core-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pdl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pdl.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pdl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pdl.git
 Homepage: http://pdl.perl.org/
+Testsuite: autopkgtest-pkg-perl
 
 Package: pdl
 Architecture: any
 Depends: libterm-readkey-perl,
+         sensible-utils,
          ${perl:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
@@ -65,16 +67,15 @@
 Replaces: r-pdl
 Description: perl data language: Perl extensions for numerics
  PDL gives standard perl the ability to COMPACTLY
- store and SPEEDILY manipulate the large N-dimensional data arrays 
- which are the bread and butter of scientific computing.  The idea 
- is to turn perl in to a free, array-oriented, numerical language 
+ store and SPEEDILY manipulate the large N-dimensional data arrays
+ which are the bread and butter of scientific computing.  The idea
+ is to turn perl in to a free, array-oriented, numerical language
  in the same sense as commercial packages like IDL and MatLab. One
- can write simple perl expressions to manipulate entire numerical arrays 
+ can write simple perl expressions to manipulate entire numerical arrays
  all at once. For example, using PDL the perl variable $a can hold a
  1024x1024 floating point image, it only takes 4Mb of memory to store
- it and expressions like $a=sqrt($a)+2 would manipulate the whole image 
- in a few seconds. 
+ it and expressions like $a=sqrt($a)+2 would manipulate the whole image
+ in a few seconds.
  .
- A simple interactive shell (perldl) is provided for command line use 
- together with a module (PDL) for use in perl scripts. 
-
+ A simple interactive shell (perldl) is provided for command line use
+ together with a module (PDL) for use in perl scripts.
