=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	done
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_clean:
 	dh_clean t/callext.o t/callext.so Graphics/TriD/OpenGL/tmp*.h-out \
@@ -55,12 +55,11 @@
 	chrpath --delete debian/*/$(vendorarch)/auto/PDL/Minuit/Minuit.so
 	chrpath --delete debian/*/$(vendorarch)/auto/PDL/Slatec/Slatec.so
 
-override_dh_install:
-	dh_install --list-missing
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_shlibdeps:
 	dh_shlibdeps -X OpenGLQ.so
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(subst_pdlapi)
-
