## pdl 2.020

=== debian/changelog ===
pdl (1:2.020-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix pdlpp_postamble oneliner.
    (closes: #949157)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Jan 2020 13:19:04 +0100

pdl (1:2.020-2) unstable; urgency=medium

  * Team upload.
  * Restore postinst maintainer script.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Dec 2019 10:29:17 +0100

pdl (1:2.020-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop patches applied upstream, refresh remaining patches.
  * Don't install Known_problems, removed upstream.
  * Drop unused override for hardening-no-fortify-functions.
  * Add lintian override for manpage-without-executable.
  * Add lintian override for doc-base-file-references-wrong-path.
  * Drop obsolete `dpkg-maintscript-helper dir_to_symlink` calls.
  * Add patch to fix spelling errors.
  * Add patch to fix MANIFEST test failure.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Dec 2019 08:14:03 +0100
