=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                proj-bin,
                sharutils,
                x11proto-core-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pdl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pdl.git
 Homepage: http://pdl.perl.org/
