=== debian/watch ===
version=3
https://metacpan.org/release/PDL   .*/PDL-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
