## pdl 2.021

=== debian/changelog ===
pdl (1:2.021-2) unstable; urgency=medium

  * Team upload.
  * Add build and runtime dependencies on libpod-parser-perl,
    anticipating changes in Perl 5.32.

 -- Niko Tyni <ntyni@debian.org>  Sun, 17 May 2020 12:16:11 +0300

pdl (1:2.021-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop patches applied upstream. Refresh remaining patches.

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Mar 2020 05:53:06 +0100
